<script>
    function editPage() {
        setImageStyles();
        setTargetUrl();
    }

    function setImageStyles() {
      var images = document.getElementsByTagName('img');

      for (i = 0; i < images.length; i++){
          var img  = images[i]
          var imgWidth = img.width;
          console.log("img: " + img + ", " + imgWidth + ", " + myScreenWidth)

          if (imgWidth > myScreenWidth) {
              img.style.maxWidth="98%";
              img.style.height="auto";
          }
      }

       // wrap IMG elements with a link to the image source
       for (i = 0; i < images.length; i++){
         var img  = images[i]
         if (img.parentElement.nodeName.toLowerCase() == 'a') continue;
         img.outerHTML = '<a href="image:' + img.src + '">' + img.outerHTML + '</a>';
       }
    }

    function setTargetUrl() {
        var EXTERNAL = "external:"
        var anchors = document.getElementsByTagName('a');

        for (i = 0; i < anchors.length; i++){
            var anchor = anchors[i]

            if (anchor.target != null && anchor.target == "_blank"){
                var href = anchor.href;
                anchor.setAttribute('href', EXTERNAL + href);
            }
        }
    }
</script>

<script>
    var myScreenWidth = window.innerWidth;
</script>